Debian Bug report logs - #536381
gnome-screensaver: idle time on the computer is not taken into account

version graph

Package: gnome-screensaver; Maintainer for gnome-screensaver is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-screensaver is src:gnome-screensaver.

Reported by: BOURDOISEAU <bourdoiseau@free.fr>

Date: Thu, 9 Jul 2009 15:00:01 UTC

Severity: important

Found in versions gnome-screensaver/2.26.1-1, gnome-screensaver/2.26.1-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#536381; Package gnome-screensaver. (Thu, 09 Jul 2009 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to BOURDOISEAU <bourdoiseau@free.fr>:
New Bug report received and forwarded. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Thu, 09 Jul 2009 15:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: BOURDOISEAU <bourdoiseau@free.fr>
To: submit@bugs.debian.org
Subject: gnome-screensaver: idle time on the computer is not taken into account
Date: Thu, 09 Jul 2009 16:54:22 +0200
Package: gnome-screensaver
Version: 2.26.1-1
Severity: important

After updating 2.24.1-2+b1 to 2.26.1-1, 
idle time on the computer is not taken into account by gnome-screensaver 
and sleep timeout display doesn't work on gnome-power-manager.


$ gnome-screensaver --debug

** (gnome-screensaver:7647): WARNING **: Failed to get session presence proxy: 
Could not get owner of name 'org.gnome.SessionManager': no such name



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (990, 'stable'), (100, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-screensaver depends on:
ii  dbus-x11                     1.2.14-3    simple interprocess messaging syst
ii  gconf2                       2.26.2-1    GNOME configuration database syste
ii  gnome-icon-theme             2.26.0-1    GNOME Desktop icon theme
ii  libc6                        2.9-12      GNU C Library: Shared libraries
ii  libcairo2                    1.8.6-2+b1  The Cairo 2D vector graphics libra
ii  libdbus-1-3                  1.2.14-3    simple interprocess messaging syst
ii  libdbus-glib-1-2             0.80-4      simple interprocess messaging syst
ii  libgconf2-4                  2.26.2-1    GNOME configuration database syste
ii  libgl1-mesa-glx [libgl1]     7.0.3-7     A free implementation of the OpenG
ii  libglade2-0                  1:2.6.4-1   library to load .glade files at ru
ii  libglib2.0-0                 2.20.1-2    The GLib library of C routines
ii  libgnome-desktop-2-11        2.26.1-1    Utility library for loading .deskt
ii  libgnome-menu2               2.26.1-1    an implementation of the freedeskt
ii  libgnomekbd3                 2.26.0-1    GNOME library to manage keyboard c
ii  libgtk2.0-0                  2.16.1-2    The GTK+ graphical user interface 
ii  libnotify1 [libnotify1-gtk2. 0.4.5-1     sends desktop notifications to a n
ii  libpam0g                     1.0.1-9     Pluggable Authentication Modules l
ii  libpango1.0-0                1.24.0-3+b1 Layout and rendering of internatio
ii  libx11-6                     2:1.2.1-1   X11 client-side library
ii  libxext6                     2:1.0.4-1   X11 miscellaneous extension librar
ii  libxklavier12                3.9-1       X Keyboard Extension high-level AP
ii  libxxf86misc1                1:1.0.1-3   X11 XFree86 miscellaneous extensio
ii  libxxf86vm1                  1:1.0.2-1   X11 XFree86 video mode extension l

Versions of packages gnome-screensaver recommends:
ii  gnome-power-manager           2.24.4-2   power management tool for the GNOM
ii  libpam-gnome-keyring          2.26.1-1   PAM module to unlock the GNOME key
pn  rss-glx                       <none>     (no description available)

Versions of packages gnome-screensaver suggests:
pn  xscreensaver-data             <none>     (no description available)

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#536381; Package gnome-screensaver. (Thu, 09 Jul 2009 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 536381@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Thu, 09 Jul 2009 17:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 536381@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: BOURDOISEAU <bourdoiseau@free.fr>, 536381@bugs.debian.org
Subject: Re: Bug#536381: gnome-screensaver: idle time on the computer is not taken into account
Date: Thu, 09 Jul 2009 19:15:21 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 09 juillet 2009 à 16:54 +0200, BOURDOISEAU a écrit :
> Package: gnome-screensaver
> Version: 2.26.1-1
> Severity: important
> 
> After updating 2.24.1-2+b1 to 2.26.1-1, 
> idle time on the computer is not taken into account by gnome-screensaver 
> and sleep timeout display doesn't work on gnome-power-manager.

Sorry but I don’t understand what you mean. You can use French if you
can’t explain yourself in English.

> $ gnome-screensaver --debug
> 
> ** (gnome-screensaver:7647): WARNING **: Failed to get session presence proxy: 
> Could not get owner of name 'org.gnome.SessionManager': no such name

This means you don’t have gnome-session 2.26. Whatever your problem is,
is it solved by upgrading gnome-session to the version in unstable?

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#536381; Package gnome-screensaver. (Thu, 09 Jul 2009 20:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to BOURDOISEAU <bourdoiseau@free.fr>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Thu, 09 Jul 2009 20:24:02 GMT) Full text and rfc822 format available.

Message #15 received at 536381@bugs.debian.org (full text, mbox):

From: BOURDOISEAU <bourdoiseau@free.fr>
To: 536381@bugs.debian.org
Subject: re : gnome-screensaver: idle time on the computer is not taken into account
Date: Thu, 09 Jul 2009 22:19:13 +0200
Excusez moi pour mon niveau d'anglais.

Le problème est que gnome-screesaver ne met pas l'ordinateur en état inactif
et gnome power-manager ne peut pas mettre l'écran en veille si inactif

Je n'ai pas put installé gnome-session 2.26 a cause des dépendances de xorg,
mais j'ai installé gnome-session-bin 2.26 et désinstaller gnome-session 2.22.
En démarrant sur la session de secours gnome, gnome-screesaver fonctionne très bien.
Donc le problème vient de gnome-session 2.22.


Cordialement (Best regards).






Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sat, 11 Jul 2009 10:42:52 GMT) Full text and rfc822 format available.

Notification sent to BOURDOISEAU <bourdoiseau@free.fr>:
Bug acknowledged by developer. (Sat, 11 Jul 2009 10:42:53 GMT) Full text and rfc822 format available.

Message #20 received at 536381-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 536381-close@bugs.debian.org
Subject: Bug#536381: fixed in gnome-screensaver 2.26.1-2
Date: Sat, 11 Jul 2009 10:02:05 +0000
Source: gnome-screensaver
Source-Version: 2.26.1-2

We believe that the bug you reported is fixed in the latest version of
gnome-screensaver, which is due to be installed in the Debian FTP archive:

gnome-screensaver_2.26.1-2.diff.gz
  to pool/main/g/gnome-screensaver/gnome-screensaver_2.26.1-2.diff.gz
gnome-screensaver_2.26.1-2.dsc
  to pool/main/g/gnome-screensaver/gnome-screensaver_2.26.1-2.dsc
gnome-screensaver_2.26.1-2_amd64.deb
  to pool/main/g/gnome-screensaver/gnome-screensaver_2.26.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536381@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gnome-screensaver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Jul 2009 11:34:43 +0200
Source: gnome-screensaver
Binary: gnome-screensaver
Architecture: source amd64
Version: 2.26.1-2
Distribution: unstable
Urgency: low
Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gnome-screensaver - GNOME screen saver and locker
Closes: 536381
Changes: 
 gnome-screensaver (2.26.1-2) unstable; urgency=low
 .
   * Depend on gnome-session 2.26, it is useless without it.
     Closes: #536381.
Checksums-Sha1: 
 ce38dfae03c2c557ab7bf3b9c8b4186f52b87fa1 1930 gnome-screensaver_2.26.1-2.dsc
 2d69d0485af30477548305f4d4fa09adc78ec17a 11837 gnome-screensaver_2.26.1-2.diff.gz
 f53e8e6ccf64354e4cda87b2a8d45dfea95eedb3 1952120 gnome-screensaver_2.26.1-2_amd64.deb
Checksums-Sha256: 
 1bb310e67585859beec7ef569d0d066a87139ae2c9bcd46a580a268295857a9d 1930 gnome-screensaver_2.26.1-2.dsc
 e3551c9c7de227717974cb7447f5b1dc75e8fd5ed300d34eb29fad51f3796ba2 11837 gnome-screensaver_2.26.1-2.diff.gz
 f01ab978c0bd9b1550c42908b928084d2d61718dca0dc15790d966ebf88876f2 1952120 gnome-screensaver_2.26.1-2_amd64.deb
Files: 
 a62e63f7bd7536e76939e31ab09f169f 1930 gnome optional gnome-screensaver_2.26.1-2.dsc
 66597a944e39fc2f7380a4c9c10d6b01 11837 gnome optional gnome-screensaver_2.26.1-2.diff.gz
 5eb697780e18d352fcc42302a92b412f 1952120 gnome optional gnome-screensaver_2.26.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKWGF+rSla4ddfhTMRAmm3AJ9OlbUuwVQYQ62q9rH2zuMSXnGt/wCgiI/K
ksOMceBGYe8e5FocADZZ2JU=
=CwyV
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#536381; Package gnome-screensaver. (Sat, 11 Jul 2009 20:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Watzman <jwatzman@andrew.cmu.edu>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 11 Jul 2009 20:36:05 GMT) Full text and rfc822 format available.

Message #25 received at 536381@bugs.debian.org (full text, mbox):

From: Josh Watzman <jwatzman@andrew.cmu.edu>
To: 536381@bugs.debian.org
Subject: Downgrade Dependency
Date: Sat, 11 Jul 2009 13:33:34 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

gnome-screensaver is as a matter of fact useful without gnome at all; I
use it as my screensaver on top of the ion3 window manager and it has
been working very well for a while now. I'd like to be able to continue
using it without pulling in a bunch of dependencies on gnome via
gnome-session. Could this dependency be downgraded to a recommends or
suggests since it doesn't actually *require* gnome-session?

Thanks,
jwatzman

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkpY9x4ACgkQLF4wIRZ4h3YicQCdGC0dz6z1gc2YJ8wg0xneoAtq
VhgAni9+SPNKFz4/qborLsniek/nLlJX
=z7jc
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#536381; Package gnome-screensaver. (Sun, 12 Jul 2009 00:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 536381@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sun, 12 Jul 2009 00:12:02 GMT) Full text and rfc822 format available.

Message #30 received at 536381@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Josh Watzman <jwatzman@andrew.cmu.edu>, 536381@bugs.debian.org
Subject: Re: Bug#536381: Downgrade Dependency
Date: Sun, 12 Jul 2009 02:09:00 +0200
[Message part 1 (text/plain, inline)]
Le samedi 11 juillet 2009 à 13:33 -0700, Josh Watzman a écrit :
> gnome-screensaver is as a matter of fact useful without gnome at all; I
> use it as my screensaver on top of the ion3 window manager and it has
> been working very well for a while now. I'd like to be able to continue
> using it without pulling in a bunch of dependencies on gnome via
> gnome-session. Could this dependency be downgraded to a recommends or
> suggests since it doesn't actually *require* gnome-session?

I understand your concern and I’d like to remove this requirement as
well. The problem is that gnome-screensaver now relies on gnome-session
for the computation of idle time. If it can’t compute idle time, it is
useless since the screen won’t lock automatically.

Fixing this correctly requires including the old code conditionally,
when the gnome-session D-Bus interface is not available. If you can
provide a tested patch to that effect, I think it would be worth
including.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#536381; Package gnome-screensaver. (Sun, 19 Jul 2009 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Byron Clark <byron@theclarkfamily.name>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sun, 19 Jul 2009 13:18:04 GMT) Full text and rfc822 format available.

Message #35 received at 536381@bugs.debian.org (full text, mbox):

From: Byron Clark <byron@theclarkfamily.name>
To: Debian Bug Tracking System <536381@bugs.debian.org>
Subject: gnome-screensaver: Only gnome-session-bin is needed
Date: Sun, 19 Jul 2009 07:06:51 -0600
Package: gnome-screensaver
Version: 2.26.1-2
Severity: normal

Since adding the gnome-session dependency, it seems a full gnome session
is started just to get the screensaver.  While gnome-session is now
required for the screensaver to detect idle time, only the
gnome-session-bin package is really required.  I was using
gnome-session-bin with gnome-screensaver and the awesome window manager
without any problems.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-screensaver depends on:
ii  dbus-x11                      1.2.16-2   simple interprocess messaging syst
ii  gconf2                        2.26.2-3   GNOME configuration database syste
ii  gnome-icon-theme              2.26.0-1   GNOME Desktop icon theme
ii  gnome-session                 2.26.2-1   The GNOME Session Manager
ii  libc6                         2.9-20     GNU C Library: Shared libraries
ii  libcairo2                     1.8.8-2    The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.80-4     simple interprocess messaging syst
ii  libgconf2-4                   2.26.2-3   GNOME configuration database syste
ii  libgl1-mesa-glx [libgl1]      7.4.4-1    A free implementation of the OpenG
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.20.4-1   The GLib library of C routines
ii  libgnome-desktop-2-11         2.26.1-1   Utility library for loading .deskt
ii  libgnome-menu2                2.26.1-2   an implementation of the freedeskt
ii  libgnomekbd3                  2.26.0-1   GNOME library to manage keyboard c
ii  libgtk2.0-0                   2.16.4-1   The GTK+ graphical user interface 
ii  libnotify1 [libnotify1-gtk2.1 0.4.5-1    sends desktop notifications to a n
ii  libpam0g                      1.0.1-9    Pluggable Authentication Modules l
ii  libpango1.0-0                 1.24.4-1   Layout and rendering of internatio
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  libxklavier12                 3.9-1      X Keyboard Extension high-level AP
ii  libxxf86misc1                 1:1.0.1-3  X11 XFree86 miscellaneous extensio
ii  libxxf86vm1                   1:1.0.2-1  X11 XFree86 video mode extension l

Versions of packages gnome-screensaver recommends:
ii  gnome-power-manager           2.24.4-3   power management tool for the GNOM
ii  libpam-gnome-keyring          2.26.1-1   PAM module to unlock the GNOME key
pn  rss-glx                       <none>     (no description available)

Versions of packages gnome-screensaver suggests:
ii  xscreensaver-data             5.05-3     data files to be shared among scre

-- no debconf information

-- 
Byron Clark




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Aug 2009 07:35:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:33:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.